<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AccommodationPortfolioRequest StructType
 * @subpackage Structs
 */
class AccommodationPortfolioRequest extends AbstractStructBase
{
    /**
     * The ModificationDate
     * @var string
     */
    public $ModificationDate;
    /**
     * Constructor method for AccommodationPortfolioRequest
     * @uses AccommodationPortfolioRequest::setModificationDate()
     * @param string $modificationDate
     */
    public function __construct($modificationDate = null)
    {
        $this
            ->setModificationDate($modificationDate);
    }
    /**
     * Get ModificationDate value
     * @return string|null
     */
    public function getModificationDate()
    {
        return $this->ModificationDate;
    }
    /**
     * Set ModificationDate value
     * @param string $modificationDate
     * @return \StructType\AccommodationPortfolioRequest
     */
    public function setModificationDate($modificationDate = null)
    {
        // validation for constraint: string
        if (!is_null($modificationDate) && !is_string($modificationDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($modificationDate, true), gettype($modificationDate)), __LINE__);
        }
        $this->ModificationDate = $modificationDate;
        return $this;
    }
}
